# nf-core/sarek: Documentation

The nf-core/sarek documentation is split into the following files:

1. [Installation](https://nf-co.re/usage/installation)
2. Pipeline configuration
    * [Local installation](https://nf-co.re/usage/local_installation)
    * [Adding your own system config](https://nf-co.re/usage/adding_own_config)
    * [Install on a secure cluster](install_bianca.md)
    * [Reference genomes](https://nf-co.re/usage/reference_genomes)
    * [Extra documentation on reference](reference.md)
3. [Running the pipeline](usage.md)
    * [Examples](use_cases.md)
    * [Input files documentation](input.md)
    * [Documentation about containers](containers.md)
4. [Output and how to interpret the results](output.md)
    * [Extra documentation on variant calling](variant_calling.md)
    * [Complementary information about ASCAT](ascat.md)
    * [Complementary information about Sentieon](sentieon.md)
    * [Extra documentation on annotation](annotation.md)
5. [Troubleshooting](https://nf-co.re/usage/troubleshooting)
